# Supported Documents and Types

Below are are list of the most popular document types (`docType`) available to use with the[Uploading documents to an applicant](/api-documentation/applicants/uploading-documents-to-an-applicant.md) endpoint.

If you don't see the document you wish to verify, reach out to your account manager for assistance.

If a document has no back side to verify, default side should be `FRONT_SIDE`

Supported file extensions include `.jpg`, `.jpeg`, `.png`, and `.pdf`

#### Selfie Images

| Value  | Type of document                         |
| ------ | ---------------------------------------- |
| SELFIE | Selfie of an individual clearly in frame |

When uploading a selfie image, be sure to remove/null `docSubType`.&#x20;

Your call to the endpoint should look something like the below.

{% tabs %}
{% tab title="cURL" %}

```sh
curl --location 'https://enterprise.personr.co/api/1.1/wf/api-document-upload' \
--data '{
	"applicantId": "4242424242424x424242424242424242",
	"docType": "SELFIE",
	"docCountryISO": "AUS",
	"docFile": {
        "filename": "selfie.jpg",
        "contents": "/9j/4AAQSkZJRgABAQAAAQABAAD..."
    }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const axios = require('axios');

axios.post('https://enterprise.personr.co/api/1.1/wf/api-document-upload', {
    applicantId: '4242424242424x424242424242424242',
    docType: 'SELFIE',
    docCountryISO: 'AUS',
    docFile: {
        filename: 'selfie.jpg',
        contents: '/9j/4AAQSkZJRgABAQAAAQABAAD...'
    }
})
.then(response => {
    console.log(response.data);
})
.catch(error => {
    console.error(error);
});
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
$.ajax({
    url: 'https://enterprise.personr.co/api/1.1/wf/api-document-upload',
    type: 'POST',
    contentType: 'application/json',
    data: JSON.stringify({
        applicantId: '4242424242424x424242424242424242',
        docType: 'SELFIE',
        docCountryISO: 'AUS',
        docFile: {
            filename: 'selfie.jpg',
            contents: '/9j/4AAQSkZJRgABAQAAAQABAAD...'
        }
    }),
    success: function(response) {
        console.log(response);
    },
    error: function(xhr, status, error) {
        console.error(error);
    }
});
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'rest-client'
require 'json'

payload = {
    applicantId: '4242424242424x424242424242424242',
    docType: 'SELFIE',
    docCountryISO: 'AUS',
    docFile: {
        filename: 'selfie.jpg',
        contents: '/9j/4AAQSkZJRgABAQAAAQABAAD...'
    }
}

response = RestClient.post('https://enterprise.personr.co/api/1.1/wf/api-document-upload', payload.to_json, {content_type: :json, accept: :json})
puts response
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import json

url = 'https://enterprise.personr.co/api/1.1/wf/api-document-upload'

payload = {
    'applicantId': '4242424242424x424242424242424242',
    'docType': 'SELFIE',
    'docCountryISO': 'AUS',
    'docFile': {
        'filename': 'selfie.jpg',
        'contents': '/9j/4AAQSkZJRgABAQAAAQABAAD...'
    }
}

headers = {
    'Content-Type': 'application/json'
}

response = requests.post(url, data=json.dumps(payload), headers=headers)
print(response.text)
```

{% endtab %}
{% endtabs %}

#### ID Cards

| Value    | Type of document                  |
| -------- | --------------------------------- |
| ID\_CARD | Proof of Age card                 |
| ID\_CARD | Working with children's card      |
| ID\_CARD | Photo card                        |
| ID\_CARD | High risk work license            |
| ID\_CARD | Keypass ID                        |
| ID\_CARD | Diplomatic ID                     |
| ID\_CARD | Firearms license                  |
| ID\_CARD | Electoral ID                      |
| ID\_CARD | Citizen, Totum or Young Scot card |
| ID\_CARD | Shotgun certificate               |
| ID\_CARD | Home team national service card   |
| ID\_CARD | Use this for other identity cards |

#### Drivers Licenses

| Value   | Type of document |
| ------- | ---------------- |
| DRIVERS | Drivers license  |

#### Passports

| Value    | Type of document |
| -------- | ---------------- |
| PASSPORT | Passport         |

#### Residence Permits

| Value             | Type of document                     |
| ----------------- | ------------------------------------ |
| RESIDENCE\_PERMIT | Visa                                 |
| RESIDENCE\_PERMIT | Residence or citizenship certificate |
| RESIDENCE\_PERMIT | Employment pass                      |
| RESIDENCE\_PERMIT | Work permit                          |
| RESIDENCE\_PERMIT | Student pass                         |
| RESIDENCE\_PERMIT | Dependant pass                       |
| RESIDENCE\_PERMIT | Entrepass                            |
| RESIDENCE\_PERMIT | Green card                           |
| RESIDENCE\_PERMIT | Nexus card                           |
| RESIDENCE\_PERMIT | Border crossing card                 |
| RESIDENCE\_PERMIT | Global entry customs card            |

#### Utility Bills

| Value         | Type of document                               |
| ------------- | ---------------------------------------------- |
| UTILITY\_BILL | Telecommunications bill                        |
| UTILITY\_BILL | Electricity, gas or water bill                 |
| UTILITY\_BILL | Bank statement                                 |
| UTILITY\_BILL | Credit card statement                          |
| UTILITY\_BILL | Proof of balance or transaction                |
| UTILITY\_BILL | Mortgage statement                             |
| UTILITY\_BILL | Lease agreement, signed by tenant and landlord |
| UTILITY\_BILL | Tax Return or Bill                             |
| UTILITY\_BILL | Vehicle registration                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://manual.personr.co/api-documentation/applicants/uploading-documents-to-an-applicant/supported-documents-and-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
